// OpenGLRender.h: interface for the COpenGLRender class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPENGLRENDER1_H__EE377BF3_CF74_4A3C_851F_04523308980B__INCLUDED_)
#define AFX_OPENGLRENDER1_H__EE377BF3_CF74_4A3C_851F_04523308980B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Include interface
#include "..\include\ICoolRender.h"

// Make class that inherits from the cool render interface.
// This is the actual implementation
class COpenGLRender : public ICoolRender
{
public:
	
	// Needed to implement IUnknown used by COM to acces your component
	virtual HRESULT __stdcall QueryInterface(const IID& iid, void** ppv);
	virtual ULONG __stdcall AddRef();
	virtual ULONG __stdcall Release();
	
	// Constructor
	COpenGLRender();
	
	// Destructor
	virtual ~COpenGLRender();

	// Our only function
	void DoCool3DGame();

private:

	// Reference counter
	long m_cRef;
};

#endif // !defined(AFX_OPENGLRENDER1_H__EE377BF3_CF74_4A3C_851F_04523308980B__INCLUDED_)
